NEWS

UNSOLVED iCal Adapter Fehler: Error: Unknown RRULE property 'RRULE'


  • Hallo zusammen,
    ich habe eben den iCal Adapter Version 1.7.4 installiert.
    Nach dem Versuch der Einrichtung meines Nextcloud Kalenders erhalte ich im Log:

    ical.0	2020-11-04 13:15:36.345	info	(84855) Terminated (NO_ERROR): Without reason
    ical.0	2020-11-04 13:15:36.344	info	(84855) terminating
    ical.0	2020-11-04 13:15:36.326	error	at Object.parseLines (/opt/iobroker/node_modules/node-ical/ical.js:499:18)
    ical.0	2020-11-04 13:15:36.326	error	at Object.handleObject (/opt/iobroker/node_modules/node-ical/ical.js:452:39)
    ical.0	2020-11-04 13:15:36.326	error	at Object.END (/opt/iobroker/node_modules/node-ical/ical.js:415:30)
    ical.0	2020-11-04 13:15:36.326	error	at Function.RRule.fromString (/opt/iobroker/node_modules/rrule/dist/es5/webpack:/rrule/src/rrule.ts:127:28)
    ical.0	2020-11-04 13:15:36.326	error	at Function.parseString (/opt/iobroker/node_modules/rrule/dist/es5/webpack:/rrule/src/parsestring.ts:7:41)
    ical.0	2020-11-04 13:15:36.326	error	at Array.map (<anonymous>)
    ical.0	2020-11-04 13:15:36.326	error	at parseLine (/opt/iobroker/node_modules/rrule/dist/es5/webpack:/rrule/src/parsestring.ts:42:14)
    ical.0	2020-11-04 13:15:36.326	error	at parseRrule (/opt/iobroker/node_modules/rrule/dist/es5/webpack:/rrule/src/parsestring.ts:56:9)
    ical.0	2020-11-04 13:15:36.326	error	at Array.forEach (<anonymous>)
    ical.0	2020-11-04 13:15:36.326	error	at /opt/iobroker/node_modules/rrule/dist/es5/webpack:/rrule/src/parsestring.ts:98:15
    ical.0	2020-11-04 13:15:36.326	error	(84855) Error: Unknown RRULE property 'RRULE'
    ical.0	2020-11-04 13:15:36.326	error	(84855) uncaught exception: Unknown RRULE property 'RRULE'
    

    Schema der Eintragung:
    URL: https://<domain>/nextcloud/remote.php/dav/calendars/<user>/<kalender>/?export
    Benutzer: <user>
    SSL Fehler ignorieren

    Ideen?

  • Most Active

    @pxstd

    Node-Version?

    which nodejs && nodejs -v && which node && node -v && which npm && npm -v && apt policy nodejs
    

  • @Thomas-Braun

    Mhhh

    strange. Nodejs ist installiert, aber scheinbar nicht korrekt verlinkt.

    #:~# dpkg -l |grep nodejs
    ii  nodejs                               10.23.0-deb-1nodesource1          amd64        Node.js event-based server-side javascript engine
    
    #:~# which node && node -v && which npm && npm -v && apt policy nodejs
    /usr/bin/node
    v10.23.0
    /usr/bin/npm
    6.14.8
    nodejs:
      Installiert:           10.23.0-deb-1nodesource1
      Installationskandidat: 10.23.0-deb-1nodesource1
      Versionstabelle:
     *** 10.23.0-deb-1nodesource1 500
            500 https://deb.nodesource.com/node_10.x focal/main amd64 Packages
            100 /var/lib/dpkg/status
         10.19.0~dfsg-3ubuntu1 500
            500 http://de.archive.ubuntu.com/ubuntu focal/universe amd64 Packages
    
  • Most Active

    @pxstd
    Richtig, bei ubuntu sollte man die linken.
    Wie das geht steht hier:

    https://forum.iobroker.net/topic/35090/howto-nodejs-installation-und-upgrades-unter-debian

    Ich würde auch gleich mal auf node12 gehen.


  • @Thomas-Braun

    Update Erledigt, leider...

    # which nodejs && nodejs -v && which node && node -v && which npm && npm -v && apt policy nodejs
    /usr/bin/nodejs
    v12.19.0
    /usr/bin/node
    v12.19.0
    /usr/bin/npm
    6.14.8
    nodejs:
      Installiert:           12.19.0-deb-1nodesource1
      Installationskandidat: 12.19.0-deb-1nodesource1
      Versionstabelle:
     *** 12.19.0-deb-1nodesource1 500
            500 https://deb.nodesource.com/node_12.x focal/main amd64 Packages
            100 /var/lib/dpkg/status
         10.19.0~dfsg-3ubuntu1 500
            500 http://de.archive.ubuntu.com/ubuntu focal/universe amd64 Packages
    
    

    ... bleibt der Fehler bestehen 😕

    ical.0	2020-11-04 13:41:30.229	info	(1779) Terminated (NO_ERROR): Without reason
    ical.0	2020-11-04 13:41:30.228	info	(1779) terminating
    ical.0	2020-11-04 13:41:30.212	error	(1779) Error: Unknown RRULE property 'RRULE' at /opt/iobroker/node_modules/rrule/dist/es5/webpack:/rrule/src/parsestring.ts:98:15 at Array.forEach (<anonymous>) at parseRrule (/opt/iobroke
    ical.0	2020-11-04 13:41:30.211	error	(1779) uncaught exception: Unknown RRULE property 'RRULE'
    ical.0	2020-11-04 13:41:28.259	info	(1779) starting. Version 1.7.4 in /opt/iobroker/node_modules/iobroker.ical, node: v12.19.0, js-controller: 3.1.6
    

  • Anyone? 😕

  • Most Active

    @pxstd
    Die Fehlermeldung ist nicht komplett, da fehlt in der dritten Zeile der Rest.
    Ich glaube, das sollte sich einer der devs mal anschaun. Mach ein Issue auf:
    https://github.com/iobroker-community-adapters/ioBroker.ical/issues

Suggested Topics

  • 35
  • 3
  • 19
  • 15
  • 56
  • 2
  • 2
  • 4

1.1k
Online

36.9k
Users

42.7k
Topics

591.8k
Posts